#!/bin/sh
echo 100 > /sys/class/backlight/pwm-backlight/brightness
cat /opt/logo.img  > /dev/fb0
UNVS=universal-arm
PID=0019
WORK_DIR=/opt

if [ ! -d /data/update ];then
	mkdir /data/update	
fi
sleep 5
for i in 1 2 3 4 5;
do
  if [ $i == 5 ]; then
	mount -t vfat -o,codepage=936,iocharset=utf8 /dev/sda /mnt
	  if [ $? -ne 0 ]; then
			echo "mount /dev/sda to /mnt failed"
			continue
	  else
		ls -1t /mnt/guider3plus*.zip
		if [ $? -eq 0 ];then
			UPDATEFILE=`ls -1t /mnt/guider3plus*.zip | head -n 1`
			if [ -f $UPDATEFILE ];then
				echo "find update file: ${UPDATEFILE}"
				rm -rf /data/update
				cp -a ${UPDATEFILE} /data/
				if [ $? -ne 0 ];then
					rm -rf /data/guider3plus*.zip
					sync
					umount /mnt
					break
				fi
				sync
				mkdir -p /data/update
				sync
				SRCFILE="/data/`basename ${UPDATEFILE}`"
				if [ -f ${SRCFILE} ];then
					unzip -o ${SRCFILE} -d /data/update/
					sync
					rm -rf ${SRCFILE}
					if [ -f /data/update/$PID ] || [ -f /data/update/$UNVS ]; then
						chmod a+x /data/update/flashforge_init.sh
						/data/update/flashforge_init.sh 
						if [ $? -eq 0 ];then
							umount /mnt
							rm -rf /data/update
							sleep 10
						else
							umount /mnt
							rm -r /data/update
							exit 0
						fi
					fi
				fi
			fi
		fi
		if [ -f /mnt/$PID ] || [ -f /mnt/$UNVS ]; then
			if [ -f /mnt/flashforge_init.sh ]; then
				 echo "found /mnt/flashforge_init.sh"
				 chmod a+x /mnt/flashforge_init.sh
				 /mnt/flashforge_init.sh
				 umount /mnt
				 exit 0
			fi
			umount /mnt
		fi
		umount /mnt
	  fi
  else
	  if [ ! -e /dev/sda$i ]; then
		 echo "sda$i not exist"
		 continue
	  fi
	  mount -t vfat -o,codepage=936,iocharset=utf8 /dev/sda$i /mnt
	  if [ $? -ne 0 ]; then
		echo "mount /dev/sda$i to /mnt failed"
		continue
	  else
	  ls -1t /mnt/guider3plus*.zip
		if [ $? -eq 0 ];then
			UPDATEFILE=`ls -1t /mnt/guider3plus*.zip | head -n 1`
			if [ -f $UPDATEFILE ];then
				echo "find update file: ${UPDATEFILE}"
				rm -rf /data/update
				cp -a ${UPDATEFILE} /data/
				if [ $? -ne 0 ];then
					rm -rf /data/guider3plus*.zip
					sync
					umount /mnt
					break
				fi
				sync
				mkdir -p /data/update
				sync
				SRCFILE="/data/`basename ${UPDATEFILE}`"
				if [ -f ${SRCFILE} ];then
					unzip -o ${SRCFILE} -d /data/update/
					sync
					rm -rf ${SRCFILE}
					if [ -f /data/update/$PID ] || [ -f /data/update/$UNVS ]; then
						echo "found /mnt/flashforge_init.sh"
						chmod a+x /data/update/flashforge_init.sh
						/data/update/flashforge_init.sh 
						if [ $? -eq 0 ];then
							echo "update failed"
							umount /mnt
							rm -rf /data/update
							sleep 10
						else 
							umount /mnt
							rm -r /data/update
							exit 0
						fi
					fi
				fi
			fi
		fi
		if [ -f /mnt/$PID ] || [ -f /mnt/$UNVS ]; then
			if [ -f /mnt/flashforge_init.sh ]; then
				 echo "found /mnt/flashforge_init.sh"
				 chmod a+x /mnt/flashforge_init.sh
				 /mnt/flashforge_init.sh
				 umount /mnt
				 exit 0
			fi
			umount /mnt
		fi
		umount /mnt
	  fi
  fi	  
done
if [ ! "`mount | grep "mmcblk0p2"`" ]; then
	echo "mmcblk0p2 not mounted and will fsck";
	fsck -y /dev/mmcblk0p2
fi

export PATH=/opt/mjpg-streamer/bin:$PATH 
export PATH=/opt/openssl-1.0.2/bin:$PATH                                                                           export LD_LIBRARY_PATH=/opt/FFmpeg/lib:/opt/x264/lib:$LD_LIBRARY_PATH                                              
export LD_LIBRARY_PATH=/opt/mjpg-streamer/lib:$LD_LIBRARY_PATH                                              
export LD_LIBRARY_PATH=/opt/cloud/lib:$LD_LIBRARY_PATH

TSNAME="Goodix Capacitive TouchScreen"
EVENT=event0
for i in 1 2 3;
do
        file=/sys/class/input/event$i/device/name
        for name in `cat $file`
        do
                echo $name
        done
        if [ "$name" == $TSNAME ];then
               EVENT=event$i
               break;
        fi
done

echo $EVENT
                                                                                         
#TSLIB                                                                                   
TSLIBDIR=/opt/tslib-1.12                                                       
export TSLIB_TSDEVICE=/dev/input/$EVENT                               
export TSLIB_CALIBFILE=$TSLIBDIR/etc/pointercal                             
export TSLIB_CONSOLEDEVICE=none                                             
export TSLIB_FBDEVICE=/dev/fb0                                              
export TSLIB_TSEVENTTYPE=INPUT                                              
export TSLIB_CONFFILE=$TSLIBDIR/etc/ts.conf                                                           
export TSLIB_PLUGINDIR=$TSLIBDIR/lib/ts                                                                            
export LD_LIBRARY_PATH=$TSLIBDIR/lib:$LD_LIBRARY_PATH                                                              
# QT5                                                                                                 
QTDIR=/opt/qt-5.4.2                                                                      
export QT_PLUGIN_PATH=$QTDIR/plugins                                                     
export QT_QPA_PLATFORM=linuxfb:tty=/dev/fb0:rotation=0:mmsize=256x150        
export QT_QPA_PLATFORM_PLUGIN_PATH=$QTDIR/plugins                           
export QT_QPA_FONTDIR=$QTDIR/lib/fonts                                      
export QT_QPA_GENERIC_PLUGINS=tslib                                        
export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH 

if [ -f /lib/modules/8821cu.ko ];then
        echo "insmod 8821cu.ko"
        insmod /lib/modules/8821cu.ko
fi

sleep 3

if [ ! -d /data/log ];then
        mkdir /data/log
fi

if [ -d /data/model/polar ];then
        rm -r /data/model/polar
fi

# wlan0 up
ifconfig wlan0 up
ifconfig eth0 up
#ifconfig eth0 10.33.23.110                                      
#ifconfig eth0 netmask 255.255.255.0                             
#route add default gw 10.33.23.1 netmask 255.255.255.0 eth0
chmod a+x /opt/mydaemon.out
/opt/mydaemon.out & 
echo "Start guider3-arm ..."
/opt/ffstartup-arm -f /opt/ffstartup.cfg &


